Subject: Re: linux-next: build warning after merge of the kspp tree

From: Kees Cook <[email-masked]>
Date: Thu, 7 Mar 2024 11:25:06 -0800

On Thu, Mar 07, 2024 at 05:16:03PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the kspp tree, today's linux-next build (htmldocs) produced
> this warning:
> 
> include/linux/overflow.h:408: warning: Excess function parameter 'initializer...' description in '_DEFINE_FLEX'
> 
> Introduced by commit
> 
>   014dc22af922 ("overflow: Change DEFINE_FLEX to take __counted_by member")

Thanks! I've fixed this now. (Weird that kern-doc will take "..." as an
argument name, but "foo..." becomes "foo" not "foo...", but okay.)

-- 
Kees Cook